#!/usr/bin/python

from sys import argv

INVERSE="\033[7m"
NORMAL="\033[m"

action=argv[1]
dependfile=argv[2]
depends=argv[3:]

print "%s[Depends patcher script by CODeRUS]%s" % (INVERSE, NORMAL)
print "Opening dpkg status file..."
data=open(dependfile, "r").read()
print "Extracting mp-harmattan-001-pr depends line..."
line=data.split("Version: 30.2012.07-1\n")[1].split("\nDescription")[0]
newline=line

def rdep(iline, idepp):
	if iline.count(" %s " %idepp) == 1:
		i1=iline.index(" %s " %idepp)
		i2=iline.index(",",i1)+1
		t0=iline[i1:i2]
		return iline.replace(t0, "")
	elif iline.count(" %s," %idepp) == 1:
                t0=" %s," %idepp
		return iline.replace(t0, "")
	else:
		return iline

print "Processing depends..."
for depp in depends:
	if action=="remove":
		print "Removing %s depend..." %depp
		newline=rdep(newline, depp)
	elif action=="restore":
		print "Restoring %s depend..." %depp
		newline=newline.replace("Depends: ", "Depends: %s, " %depp)

print "Saving changes to dpkg status file..."
data=data.replace(line, newline)
open(dependfile, "w").write(data)
print "Successfully finished!"

exit(0)
